<?php
/*
Plugin Name: Edgeio Classifieds
Plugin URI:  
Description: Get custom Edgeio Classifieds
Author: Andrew Yasinsky
Version: 1.0
Author URI: 
*/
 class edgeioConf{
  	var $data = array();
  	
	function edgeioConf(){ //init
	 $res=explode('.',$_SERVER['SERVER_NAME']);
	  if(sizeof($res)==3){
	  	$conffile = $res[1];
	  }elseif(sizeof($res)==2){
	  	$conffile = $res[0];
	  }else{
	  	$conffile = 'default';
	  }
	
     $this->data["SITE_ROOT"] = dirname(__FILE__).'/';
     $this->data["DIR_WS_FUNCTIONS"] = $this->data["SITE_ROOT"] . 'functions/';
     $this->data["DIR_WS_CLASSES"] = $this->data["SITE_ROOT"] . 'classes/';
     $this->data["DIR_WS_META"] = $this->data["SITE_ROOT"] . 'meta/';
     $this->data["CACHE_PATH"] = $this->data["SITE_ROOT"] . 'cache/';
     $this->data["CACHE_TIME"] = 600; //rss cache in sec
     $this->data["CONF_URL"] = '';
     $this->data["CONF_FILE"] = $this->data["DIR_WS_META"] . $conffile . '.template.xml'; 
     if(!is_file($this->data["CONF_FILE"])){
  	  $this->data["CONF_FILE"] = $this->data["DIR_WS_META"] . 'default.template.xml'; 
     }
	}
  }
  
  require_once(dirname(__FILE__).'/' . 'edgeio.php');
  require_once(dirname(__FILE__).'/classes/' . 'lastRSS.php');
  require_once(dirname(__FILE__).'/classes/' . 'httpclient.inc.php');
  require_once(dirname(__FILE__).'/classes/' . 'Configuration.php');
  require_once(dirname(__FILE__).'/classes/' . 'Board.php');

function edgeio_classifieds_callback($location='') {

   $edgeioconf = new edgeioConf();
   $edgeioconf->data['locStr'] = $location;
   $myedgeio = new edgeio($edgeioconf->data);
   $edgeio_res = $myedgeio->get_edgeio_classifieds();
   print $edgeio_res;
}
?>